Subject: Re: [bug#66158] [PATCH v2] gnu: node-lts: Update to 18.18.2.
From: Jelle Licht <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Sun, 05 Nov 2023 14:42:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> [email-masked] writes:
>
>> From: Jelle Licht <[email-masked]>
>>
>> * gnu/packages/node.scm (node-lts): Update to 18.18.2.
>> [arguments]<phases>: Add 'install-node-gyp-wrapper phase.
>>
>> Change-Id: I6b17de33313505558a8fa9560126adef486fd0e3
>> ---
>> I tried my hand at introducing a small wrapper script that works around the
>> node-gyp regression introduced in the version of npm bundled with node 18.18.2.
>>
>> It's not quite clear yet whether upstream considers this a regression that
>> will still be fixed or just behaviour that be kept as-is going forward.
>>
>> This patch series also leaves Node vulnerable to a recently reported CVE in
>> many HTTP2 server implementations, such as nghttp2, but I believe this can be
>> addressed by https://issues.guix.gnu.org/issue/66658
>>
>> Changes in v2:
>>  - Re-bump from 18.18.0 to 18.18.2
>>  - Fix 'node-gyp' regression.
>>
>>  gnu/packages/node.scm | 25 ++++++++++++++++++++++---
>>  1 file changed, 22 insertions(+), 3 deletions(-)
>
> Looking at QA, there seems to be some issues on aarch64-linux. The build
> logs do differ between the failed builds, so I've submitted a few more.

Pushed to master as ab94e80601a5b23f44e7455b3443457b4a99a1e5.

At least the aarch64-linux build seems to have worked out.  I've locally
verified that things build for i686-linux too. Please Cc me if there are
still any issues with it.

- Jelle